Topics: Prism v4 - WPF 4
Nov 5, 2014 at 12:36 PM
Hello Community,

I have extensive experience with Prism 4.0, and I see that there's 5.0 out now with PCLs. I am interested in building a Xamarin.Forms application with Prism5, but it appears that the Composition library is not compatible. Is this a known issue and/or is this possible to fix?

Also, Prism v5 is not a topic when creating a thread on this forum. That should be fixed. :P

Thank you,
Mar 25, 2015 at 9:35 PM
For those that stumble upon this post be sure to check out the new Prism for Xamarin.Forms Preview:

Marked as answer by MichaelDBang on 3/25/2015 at 6:25 PM
Mar 26, 2015 at 1:25 AM
Edited Mar 26, 2015 at 1:25 AM
Man... If anything, I have to say I am very pleased with how much work Team Brian has put into getting XF support into Prism. I honestly didn't think it would ever happen... or be the typical EntLib cadence of a few years before we heard anything. Even though we might disagree 100% where Xaml is best utilized (smile), the fact that we're using is what is important. It is THE superior mechanism of defining applications and nothing in the technology landscape comes close to it (imo). I'm glad we are talking/debating Xaml and not HTML5, which is what we (or a majority of us) would be using if Xamarin.Forms was not around as a cross-platform solution. I spent about a year and a half in HTML5 and it was not pretty. There were some pretty dark years these past few years, but that is no longer the case. The light is here once again, and it might be even brighter than silver this time around (see what I did there?).

Anyways, coding is fun again. It's exciting and promising, too. The fact that a staple technology like Prism is already on-board with XF only adds to the awesomness.

Now, if Team Brian can get the rest of EntLib onto the hotness, everything will be right with the world. :)